# IRiOfflineRender Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | OpenPreferencesPanel (void)
HRESULT | OpenView (BSTR szViewName, RtUlong dwWidth, RtUlong dwHeight)
HRESULT | RenderScene (BSTR szViewName)
HRESULT | RenderObject (BSTR szViewName)
HRESULT | RenderArea (BSTR szViewName, RtUlong dwMinX, RtUlong dwMinY, RtUlong dwMaxX, RtUlong dwMaxY)
HRESULT | RenderAnimation (BSTR szViewName)

## Detailed Description

The IRiOfflineRender interface provides methods for offline rendering.

Root-level name in the scripting engine's name space: OfflineRender

## Member Function Documentation

HRESULT IRiOfflineRender::OpenPreferencesPanel | ( | void |  | ) |

Open preferences panel for current picked renderer.

HRESULT IRiOfflineRender::OpenView | ( | BSTR | szViewName,
|  | RtUlong | dwWidth,
|  | RtUlong | dwHeight |
| ) |  |  |

Open view for active renderer.

Parameters:

  | szViewName | [in] View name to open. "" = use default.
  | dwWidth | [in] Preferred width of view, 0 = use default.
  | dwHeight | [in] Preferred height of view, 0 = use default.

HRESULT IRiOfflineRender::RenderScene | ( | BSTR | szViewName | ) |

Render scene into view specified by view name.

Parameters:

  | szViewName | [in] View to render to. "" = use default view.

HRESULT IRiOfflineRender::RenderObject | ( | BSTR | szViewName | ) |

Render current selection into view specified by view name.

Parameters:

  | szViewName | [in] View to render to. "" = use default view.

HRESULT IRiOfflineRender::RenderArea | ( | BSTR | szViewName,
|  | RtUlong | dwMinX,
|  | RtUlong | dwMinY,
|  | RtUlong | dwMaxX,
|  | RtUlong | dwMaxY |
| ) |  |  |

Render current scene area into view specified by view name.
Minimum & Maximum values for X & Y create a rectangle on screen.

Parameters:

  | szViewName | [in] View to render to. "" = use default view.
  | dwMinX | [in] Minimum X value.
  | dwMinY | [in] Minimum Y value.
  | dwMaxX | [in] Maximum X value.
  | dwMaxY | [in] Maximum Y value.

HRESULT IRiOfflineRender::RenderAnimation | ( | BSTR | szViewName | ) |

Render animation.

Parameters:

  | szViewName | [in] View to render to. "" = use default view.